
Figure - Bug #117328
【AF】【VC1】【EVT3】【Power】【偶现】在开机引导界面，对设备进行过压测试，过压18V后马上回到12V
，设备不会关机，同时弹出“关机、重启、Screensaver\Closescreen”选项
2023-04-04 18:04 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-04-04

Priority: Normal Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0086

Resolution: DUPLICATE Degrated: No

Severity: Major Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause: 与116877原因一致

Description

【前提条件】

1、设备正常启动到开机引导

2、使用稳压电源供电

【测试步骤】

1、通过稳压电源增加电压至18V

2、马上将电压回正12V

3、查看设备现象

【预期结果】

3.设备过压关机或不做任何反应

【实际结果】

3. 设备不关机，但是弹出“关机、重启、Screensaver\Closescreen”选项

History

#1 - 2023-04-06 13:48 - CD APP-王营

- Status changed from New to NEED_INFO

- Assignee changed from CD APP-王营 to 移动测试一组_CDTS 刘强

■ Current conclusion

log中未能发现此问题产生的原因，已经添加了log，编译VB版本

■ Next action 

请测试同事帮忙使用VB版本复现此问题并抓取Logcat

http://192.168.87.26:8080/view/Projects/view/Project-IOT/job/VerifyBuild_for_IOT_6490/307/

#2 - 2023-04-08 16:46 - CDTS-TEST 周婷

- Severity changed from Normal to Major

#3 - 2023-04-10 19:50 - 移动测试一组_CDTS 刘强

- Assignee changed from 移动测试一组_CDTS 刘强 to CD APP-王营
该vb版本未复现，疑似与https://share.thundersoft.com/redmine/issues/116877 有关

如果需要使用vb版本复现，或许需要在116877修复之前的版本基础上拉vb

#4 - 2023-04-11 00:45 - CD TPM-王祥林

- Assignee changed from CD APP-王营 to 移动测试一组_CDTS 刘强

刘强

MPU版本号显示的不是86 release版，而且日志里显示mcu版本是V0.1.3，但我们的正式版本里mcu版本最高V0.1.2。确认一下复现问题的版本是不是谁给的

改了MCU的VB，或者手动替换过MCU的。

01-01 08:02:57.337   682   682 D Build   : ro.build.display.id=01.00.C102_20230403_private_userdebug

01-01 08:02:57.342   683   683 D Build   : ro.build.display.id=01.00.C102_20230403_private_userdebug

04-03 15:33:10.553  2519  2606 D MCUUpdate: Check MCU current version :res = 0

04-03 15:33:10.580  2519  2602 D MCUUpdate: MCU version: 86 length: 9

04-03 15:33:10.580  2519  2602 D MCUUpdate: Current version: V0.1.3, Find version: V0.1.3

04-03 15:33:10.580  2519  2602 D MCUUpdate: no need to update!

另外，这个看起来确实和116877有点关系。同样是过压后没有关机，并且停留在开机向导界面。区别是这个问题多了个关机菜单。

分析如下：

1.停留在开机向导界面应该和116877原理一样。  （这个已经修复）

2.关机菜单，可能是过压后MPU保持运行状态，没有关机，但mcu休眠了。电压恢复mcu唤醒后会模拟长按power键的行为对MPU进行重新上电。但MPU

是运行状态，所以长按power会出现关机菜单。 （这个不排除是临时的MCU改出来的）

以上，请在正式版本进行验证。

#5 - 2023-04-11 10:34 - 移动测试一组_CDTS 刘强

- Assignee changed from 移动测试一组_CDTS 刘强 to CD TPM-王祥林

已确认 release版本 0086 复现该问题

#6 - 2023-04-11 10:51 - 移动测试一组_CDTS 刘强

- File tlog_sts000101110_000017_0328203313.tar.gz added

#7 - 2023-04-11 16:35 - CD FW 曹覃刚

- Status changed from NEED_INFO to RESOLVED

- Assignee changed from CD TPM-王祥林 to 移动测试一组_CDTS 刘强

- % Done changed from 0 to 100

- Resolution changed from -- to DUPLICATE

- Degrated changed from -- to No

- Root cause set to 与116877原因一致

■ 分析过程

2.关机菜单，可能是过压后MPU保持运行状态，没有关机，但mcu休眠了。电压恢复mcu唤醒后会模拟长按power键的行为对MPU进行重新上电。

但MPU是运行状态，所以长按power会出现关机菜单。 （这个不排除是临时的MCU改出来的）
从最新提供的日志来看，原因就是上面描述的

在开机引导画面之前，有长按电源键的操作，导致弹出该对话框

------------------

03-28 20:17:00.926  1493  1493 D WindowManager: powerLongPress: eventTime=51445 mLongPressOnPowerBehavior=5

03-28 20:18:01.052  1493  2439 I ActivityTaskManager: START u0 {flg=0x10000000 pkg=com.thundercomm.screensaver

cmp=com.thundercomm.screensaver/android.service.dreams.DreamActivity (has extras)} from uid 10051

------------------

116877中,已处理在引导画面时收到过压信号未关机的问题，因此此问题也被一并处理了

■ 下一步解析计划

该问题已经修复了，请测试同学在最新版本验证

#8 - 2023-04-11 19:45 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

验证版本：0090

验证结果：116877 问题解决后，不复现该问题

#9 - 2023-04-11 19:46 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

Files
